EXT_TO_TYPE = {
    ".3dm": [
        "x-world/x-3dmf"
    ],
    ".3dmf": [
        "x-world/x-3dmf"
    ],
    ".a": [
        "application/octet-stream"
    ],
    ".aab": [
        "application/x-authorware-bin"
    ],
    ".aam": [
        "application/x-authorware-map"
    ],
    ".aas": [
        "application/x-authorware-seg"
    ],
    ".abc": [
        "text/vnd.abc"
    ],
    ".acgi": [
        "text/html"
    ],
    ".afl": [
        "video/animaflex"
    ],
    ".ai": [
        "application/postscript"
    ],
    ".aif": [
        "audio/aiff",
        "audio/x-aiff"
    ],
    ".aifc": [
        "audio/aiff",
        "audio/x-aiff"
    ],
    ".aiff": [
        "audio/aiff",
        "audio/x-aiff"
    ],
    ".aim": [
        "application/x-aim"
    ],
    ".aip": [
        "text/x-audiosoft-intra"
    ],
    ".ani": [
        "application/x-navi-animation"
    ],
    ".aos": [
        "application/x-nokia-9000-communicator-add-on-software"
    ],
    ".aps": [
        "application/mime"
    ],
    ".arc": [
        "application/octet-stream"
    ],
    ".arj": [
        "application/arj",
        "application/octet-stream"
    ],
    ".art": [
        "image/x-jg"
    ],
    ".asf": [
        "video/x-ms-asf"
    ],
    ".asm": [
        "text/x-asm"
    ],
    ".asp": [
        "text/asp"
    ],
    ".asx": [
        "application/x-mplayer2",
        "video/x-ms-asf",
        "video/x-ms-asf-plugin"
    ],
    ".au": [
        "audio/basic",
        "audio/x-au"
    ],
    ".avi": [
        "application/x-troff-msvideo",
        "video/avi",
        "video/msvideo",
        "video/x-msvideo"
    ],
    ".avs": [
        "video/avs-video"
    ],
    ".bcpio": [
        "application/x-bcpio"
    ],
    ".bin": [
        "application/mac-binary",
        "application/macbinary",
        "application/octet-stream",
        "application/x-binary",
        "application/x-macbinary"
    ],
    ".bm": [
        "image/bmp"
    ],
    ".bmp": [
        "image/bmp",
        "image/x-windows-bmp"
    ],
    ".boo": [
        "application/book"
    ],
    ".book": [
        "application/book"
    ],
    ".boz": [
        "application/x-bzip2"
    ],
    ".bsh": [
        "application/x-bsh"
    ],
    ".bz": [
        "application/x-bzip"
    ],
    ".bz2": [
        "application/x-bzip2"
    ],
    ".c": [
        "text/plain",
        "text/x-c"
    ],
    ".c++": [
        "text/plain"
    ],
    ".cat": [
        "application/vnd.ms-pki.seccat"
    ],
    ".cc": [
        "text/plain",
        "text/x-c"
    ],
    ".ccad": [
        "application/clariscad"
    ],
    ".cco": [
        "application/x-cocoa"
    ],
    ".cdf": [
        "application/cdf",
        "application/x-cdf",
        "application/x-netcdf"
    ],
    ".cer": [
        "application/pkix-cert",
        "application/x-x509-ca-cert"
    ],
    ".cha": [
        "application/x-chat"
    ],
    ".chat": [
        "application/x-chat"
    ],
    ".class": [
        "application/java",
        "application/java-byte-code",
        "application/x-java-class"
    ],
    ".com": [
        "application/octet-stream",
        "text/plain"
    ],
    ".conf": [
        "text/plain"
    ],
    ".cpio": [
        "application/x-cpio"
    ],
    ".cpp": [
        "text/x-c"
    ],
    ".cpt": [
        "application/mac-compactpro",
        "application/x-compactpro",
        "application/x-cpt"
    ],
    ".crl": [
        "application/pkcs-crl",
        "application/pkix-crl"
    ],
    ".crt": [
        "application/pkix-cert",
        "application/x-x509-ca-cert",
        "application/x-x509-user-cert"
    ],
    ".csh": [
        "application/x-csh",
        "text/x-script.csh"
    ],
    ".css": [
        "application/x-pointplus",
        "text/css"
    ],
    ".cxx": [
        "text/plain"
    ],
    ".dcr": [
        "application/x-director"
    ],
    ".deepv": [
        "application/x-deepv"
    ],
    ".def": [
        "text/plain"
    ],
    ".der": [
        "application/x-x509-ca-cert"
    ],
    ".dif": [
        "video/x-dv"
    ],
    ".dir": [
        "application/x-director"
    ],
    ".dl": [
        "video/dl",
        "video/x-dl"
    ],
    ".doc": [
        "application/msword"
    ],
    ".dot": [
        "application/msword"
    ],
    ".dp": [
        "application/commonground"
    ],
    ".drw": [
        "application/drafting"
    ],
    ".dump": [
        "application/octet-stream"
    ],
    ".dv": [
        "video/x-dv"
    ],
    ".dvi": [
        "application/x-dvi"
    ],
    ".dwf": [
        "drawing/x-dwf (old)",
        "model/vnd.dwf"
    ],
    ".dwg": [
        "application/acad",
        "image/vnd.dwg",
        "image/x-dwg"
    ],
    ".dxf": [
        "application/dxf",
        "image/vnd.dwg",
        "image/x-dwg"
    ],
    ".dxr": [
        "application/x-director"
    ],
    ".el": [
        "text/x-script.elisp"
    ],
    ".elc": [
        "application/x-bytecode.elisp (compiled elisp)",
        "application/x-elc"
    ],
    ".env": [
        "application/x-envoy"
    ],
    ".eps": [
        "application/postscript"
    ],
    ".es": [
        "application/x-esrehber"
    ],
    ".etx": [
        "text/x-setext"
    ],
    ".evy": [
        "application/envoy",
        "application/x-envoy"
    ],
    ".exe": [
        "application/octet-stream"
    ],
    ".f": [
        "text/plain",
        "text/x-fortran"
    ],
    ".f77": [
        "text/x-fortran"
    ],
    ".f90": [
        "text/plain",
        "text/x-fortran"
    ],
    ".fdf": [
        "application/vnd.fdf"
    ],
    ".fif": [
        "application/fractals",
        "image/fif"
    ],
    ".fli": [
        "video/fli",
        "video/x-fli"
    ],
    ".flo": [
        "image/florian"
    ],
    ".flx": [
        "text/vnd.fmi.flexstor"
    ],
    ".fmf": [
        "video/x-atomic3d-feature"
    ],
    ".for": [
        "text/plain",
        "text/x-fortran"
    ],
    ".fpx": [
        "image/vnd.fpx",
        "image/vnd.net-fpx"
    ],
    ".frl": [
        "application/freeloader"
    ],
    ".funk": [
        "audio/make"
    ],
    ".g": [
        "text/plain"
    ],
    ".g3": [
        "image/g3fax"
    ],
    ".gif": [
        "image/gif"
    ],
    ".gl": [
        "video/gl",
        "video/x-gl"
    ],
    ".gsd": [
        "audio/x-gsm"
    ],
    ".gsm": [
        "audio/x-gsm"
    ],
    ".gsp": [
        "application/x-gsp"
    ],
    ".gss": [
        "application/x-gss"
    ],
    ".gtar": [
        "application/x-gtar"
    ],
    ".gz": [
        "application/x-compressed",
        "application/x-gzip"
    ],
    ".gzip": [
        "application/x-gzip",
        "multipart/x-gzip"
    ],
    ".h": [
        "text/plain",
        "text/x-h"
    ],
    ".hdf": [
        "application/x-hdf"
    ],
    ".help": [
        "application/x-helpfile"
    ],
    ".hgl": [
        "application/vnd.hp-hpgl"
    ],
    ".hh": [
        "text/plain",
        "text/x-h"
    ],
    ".hlb": [
        "text/x-script"
    ],
    ".hlp": [
        "application/hlp",
        "application/x-helpfile",
        "application/x-winhelp"
    ],
    ".hpg": [
        "application/vnd.hp-hpgl"
    ],
    ".hpgl": [
        "application/vnd.hp-hpgl"
    ],
    ".hqx": [
        "application/binhex",
        "application/binhex4",
        "application/mac-binhex",
        "application/mac-binhex40",
        "application/x-binhex40",
        "application/x-mac-binhex40"
    ],
    ".hta": [
        "application/hta"
    ],
    ".htc": [
        "text/x-component"
    ],
    ".htm": [
        "text/html"
    ],
    ".html": [
        "text/html"
    ],
    ".htmls": [
        "text/html"
    ],
    ".htt": [
        "text/webviewhtml"
    ],
    ".htx": [
        "text/html"
    ],
    ".ice": [
        "x-conference/x-cooltalk"
    ],
    ".ico": [
        "image/x-icon"
    ],
    ".idc": [
        "text/plain"
    ],
    ".ief": [
        "image/ief"
    ],
    ".iefs": [
        "image/ief"
    ],
    ".iges": [
        "application/iges",
        "model/iges"
    ],
    ".igs": [
        "application/iges",
        "model/iges"
    ],
    ".ima": [
        "application/x-ima"
    ],
    ".imap": [
        "application/x-httpd-imap"
    ],
    ".inf": [
        "application/inf"
    ],
    ".ins": [
        "application/x-internett-signup"
    ],
    ".ip": [
        "application/x-ip2"
    ],
    ".isu": [
        "video/x-isvideo"
    ],
    ".it": [
        "audio/it"
    ],
    ".iv": [
        "application/x-inventor"
    ],
    ".ivr": [
        "i-world/i-vrml"
    ],
    ".ivy": [
        "application/x-livescreen"
    ],
    ".jam": [
        "audio/x-jam"
    ],
    ".jav": [
        "text/plain",
        "text/x-java-source"
    ],
    ".java": [
        "text/plain",
        "text/x-java-source"
    ],
    ".jcm": [
        "application/x-java-commerce"
    ],
    ".jfif": [
        "image/jpeg",
        "image/pjpeg"
    ],
    ".jfif-tbnl": [
        "image/jpeg"
    ],
    ".jpe": [
        "image/jpeg",
        "image/pjpeg"
    ],
    ".jpeg": [
        "image/jpeg",
        "image/pjpeg"
    ],
    ".jpg": [
        "image/jpeg",
        "image/pjpeg"
    ],
    ".jps": [
        "image/x-jps"
    ],
    ".js": [
        "application/x-javascript",
        "application/javascript",
        "application/ecmascript",
        "text/javascript",
        "text/ecmascript"
    ],
    ".jut": [
        "image/jutvision"
    ],
    ".kar": [
        "audio/midi",
        "music/x-karaoke"
    ],
    ".ksh": [
        "application/x-ksh",
        "text/x-script.ksh"
    ],
    ".la": [
        "audio/nspaudio",
        "audio/x-nspaudio"
    ],
    ".lam": [
        "audio/x-liveaudio"
    ],
    ".latex": [
        "application/x-latex"
    ],
    ".lha": [
        "application/lha",
        "application/octet-stream",
        "application/x-lha"
    ],
    ".lhx": [
        "application/octet-stream"
    ],
    ".list": [
        "text/plain"
    ],
    ".lma": [
        "audio/nspaudio",
        "audio/x-nspaudio"
    ],
    ".log": [
        "text/plain"
    ],
    ".lsp": [
        "application/x-lisp",
        "text/x-script.lisp"
    ],
    ".lst": [
        "text/plain"
    ],
    ".lsx": [
        "text/x-la-asf"
    ],
    ".ltx": [
        "application/x-latex"
    ],
    ".lzh": [
        "application/octet-stream",
        "application/x-lzh"
    ],
    ".lzx": [
        "application/lzx",
        "application/octet-stream",
        "application/x-lzx"
    ],
    ".m": [
        "text/plain",
        "text/x-m"
    ],
    ".m1v": [
        "video/mpeg"
    ],
    ".m2a": [
        "audio/mpeg"
    ],
    ".m2v": [
        "video/mpeg"
    ],
    ".m3u": [
        "audio/x-mpequrl"
    ],
    ".man": [
        "application/x-troff-man"
    ],
    ".map": [
        "application/x-navimap"
    ],
    ".mar": [
        "text/plain"
    ],
    ".mbd": [
        "application/mbedlet"
    ],
    ".mc$": [
        "application/x-magic-cap-package-1.0"
    ],
    ".mcd": [
        "application/mcad",
        "application/x-mathcad"
    ],
    ".mcf": [
        "image/vasa",
        "text/mcf"
    ],
    ".mcp": [
        "application/netmc"
    ],
    ".me": [
        "application/x-troff-me"
    ],
    ".mht": [
        "message/rfc822"
    ],
    ".mhtml": [
        "message/rfc822"
    ],
    ".mid": [
        "application/x-midi",
        "audio/midi",
        "audio/x-mid",
        "audio/x-midi",
        "music/crescendo",
        "x-music/x-midi"
    ],
    ".midi": [
        "application/x-midi",
        "audio/midi",
        "audio/x-mid",
        "audio/x-midi",
        "music/crescendo",
        "x-music/x-midi"
    ],
    ".mif": [
        "application/x-frame",
        "application/x-mif"
    ],
    ".mime": [
        "message/rfc822",
        "www/mime"
    ],
    ".mjf": [
        "audio/x-vnd.audioexplosion.mjuicemediafile"
    ],
    ".mjpg": [
        "video/x-motion-jpeg"
    ],
    ".mm": [
        "application/base64",
        "application/x-meme"
    ],
    ".mme": [
        "application/base64"
    ],
    ".mod": [
        "audio/mod",
        "audio/x-mod"
    ],
    ".moov": [
        "video/quicktime"
    ],
    ".mov": [
        "video/quicktime"
    ],
    ".movie": [
        "video/x-sgi-movie"
    ],
    ".mp2": [
        "audio/mpeg",
        "audio/x-mpeg",
        "video/mpeg",
        "video/x-mpeg",
        "video/x-mpeq2a"
    ],
    ".mp3": [
        "audio/mpeg3",
        "audio/x-mpeg-3",
        "video/mpeg",
        "video/x-mpeg"
    ],
    ".mpa": [
        "audio/mpeg",
        "video/mpeg"
    ],
    ".mpc": [
        "application/x-project"
    ],
    ".mpe": [
        "video/mpeg"
    ],
    ".mpeg": [
        "video/mpeg"
    ],
    ".mpg": [
        "audio/mpeg",
        "video/mpeg"
    ],
    ".mpga": [
        "audio/mpeg"
    ],
    ".mpp": [
        "application/vnd.ms-project"
    ],
    ".mpt": [
        "application/x-project"
    ],
    ".mpv": [
        "application/x-project"
    ],
    ".mpx": [
        "application/x-project"
    ],
    ".mrc": [
        "application/marc"
    ],
    ".ms": [
        "application/x-troff-ms"
    ],
    ".mv": [
        "video/x-sgi-movie"
    ],
    ".my": [
        "audio/make"
    ],
    ".mzz": [
        "application/x-vnd.audioexplosion.mzz"
    ],
    ".nap": [
        "image/naplps"
    ],
    ".naplps": [
        "image/naplps"
    ],
    ".nc": [
        "application/x-netcdf"
    ],
    ".ncm": [
        "application/vnd.nokia.configuration-message"
    ],
    ".nif": [
        "image/x-niff"
    ],
    ".niff": [
        "image/x-niff"
    ],
    ".nix": [
        "application/x-mix-transfer"
    ],
    ".nsc": [
        "application/x-conference"
    ],
    ".nvd": [
        "application/x-navidoc"
    ],
    ".o": [
        "application/octet-stream"
    ],
    ".oda": [
        "application/oda"
    ],
    ".omc": [
        "application/x-omc"
    ],
    ".omcd": [
        "application/x-omcdatamaker"
    ],
    ".omcr": [
        "application/x-omcregerator"
    ],
    ".p": [
        "text/x-pascal"
    ],
    ".p10": [
        "application/pkcs10",
        "application/x-pkcs10"
    ],
    ".p12": [
        "application/pkcs-12",
        "application/x-pkcs12"
    ],
    ".p7a": [
        "application/x-pkcs7-signature"
    ],
    ".p7c": [
        "application/pkcs7-mime",
        "application/x-pkcs7-mime"
    ],
    ".p7m": [
        "application/pkcs7-mime",
        "application/x-pkcs7-mime"
    ],
    ".p7r": [
        "application/x-pkcs7-certreqresp"
    ],
    ".p7s": [
        "application/pkcs7-signature"
    ],
    ".part": [
        "application/pro_eng"
    ],
    ".pas": [
        "text/pascal"
    ],
    ".pbm": [
        "image/x-portable-bitmap"
    ],
    ".pcl": [
        "application/vnd.hp-pcl",
        "application/x-pcl"
    ],
    ".pct": [
        "image/x-pict"
    ],
    ".pcx": [
        "image/x-pcx"
    ],
    ".pdb": [
        "chemical/x-pdb"
    ],
    ".pdf": [
        "application/pdf"
    ],
    ".pfunk": [
        "audio/make",
        "audio/make.my.funk"
    ],
    ".pgm": [
        "image/x-portable-graymap",
        "image/x-portable-greymap"
    ],
    ".pic": [
        "image/pict"
    ],
    ".pict": [
        "image/pict"
    ],
    ".pkg": [
        "application/x-newton-compatible-pkg"
    ],
    ".pko": [
        "application/vnd.ms-pki.pko"
    ],
    ".pl": [
        "text/plain",
        "text/x-script.perl"
    ],
    ".plx": [
        "application/x-pixclscript"
    ],
    ".pm": [
        "image/x-xpixmap",
        "text/x-script.perl-module"
    ],
    ".pm4": [
        "application/x-pagemaker"
    ],
    ".pm5": [
        "application/x-pagemaker"
    ],
    ".png": [
        "image/png"
    ],
    ".pnm": [
        "application/x-portable-anymap",
        "image/x-portable-anymap"
    ],
    ".pot": [
        "application/mspowerpoint",
        "application/vnd.ms-powerpoint"
    ],
    ".pov": [
        "model/x-pov"
    ],
    ".ppa": [
        "application/vnd.ms-powerpoint"
    ],
    ".ppm": [
        "image/x-portable-pixmap"
    ],
    ".pps": [
        "application/mspowerpoint",
        "application/vnd.ms-powerpoint"
    ],
    ".ppt": [
        "application/mspowerpoint",
        "application/powerpoint",
        "application/vnd.ms-powerpoint",
        "application/x-mspowerpoint"
    ],
    ".ppz": [
        "application/mspowerpoint"
    ],
    ".pre": [
        "application/x-freelance"
    ],
    ".prt": [
        "application/pro_eng"
    ],
    ".ps": [
        "application/postscript"
    ],
    ".psd": [
        "application/octet-stream"
    ],
    ".pvu": [
        "paleovu/x-pv"
    ],
    ".pwz": [
        "application/vnd.ms-powerpoint"
    ],
    ".py": [
        "text/x-script.phyton"
    ],
    ".pyc": [
        "application/x-bytecode.python"
    ],
    ".qcp": [
        "audio/vnd.qcelp"
    ],
    ".qd3": [
        "x-world/x-3dmf"
    ],
    ".qd3d": [
        "x-world/x-3dmf"
    ],
    ".qif": [
        "image/x-quicktime"
    ],
    ".qt": [
        "video/quicktime"
    ],
    ".qtc": [
        "video/x-qtc"
    ],
    ".qti": [
        "image/x-quicktime"
    ],
    ".qtif": [
        "image/x-quicktime"
    ],
    ".ra": [
        "audio/x-pn-realaudio",
        "audio/x-pn-realaudio-plugin",
        "audio/x-realaudio"
    ],
    ".ram": [
        "audio/x-pn-realaudio"
    ],
    ".ras": [
        "application/x-cmu-raster",
        "image/cmu-raster",
        "image/x-cmu-raster"
    ],
    ".rast": [
        "image/cmu-raster"
    ],
    ".rexx": [
        "text/x-script.rexx"
    ],
    ".rf": [
        "image/vnd.rn-realflash"
    ],
    ".rgb": [
        "image/x-rgb"
    ],
    ".rm": [
        "application/vnd.rn-realmedia",
        "audio/x-pn-realaudio"
    ],
    ".rmi": [
        "audio/mid"
    ],
    ".rmm": [
        "audio/x-pn-realaudio"
    ],
    ".rmp": [
        "audio/x-pn-realaudio",
        "audio/x-pn-realaudio-plugin"
    ],
    ".rng": [
        "application/ringing-tones",
        "application/vnd.nokia.ringing-tone"
    ],
    ".rnx": [
        "application/vnd.rn-realplayer"
    ],
    ".roff": [
        "application/x-troff"
    ],
    ".rp": [
        "image/vnd.rn-realpix"
    ],
    ".rpm": [
        "audio/x-pn-realaudio-plugin"
    ],
    ".rt": [
        "text/richtext",
        "text/vnd.rn-realtext"
    ],
    ".rtf": [
        "application/rtf",
        "application/x-rtf",
        "text/richtext"
    ],
    ".rtx": [
        "application/rtf",
        "text/richtext"
    ],
    ".rv": [
        "video/vnd.rn-realvideo"
    ],
    ".s": [
        "text/x-asm"
    ],
    ".s3m": [
        "audio/s3m"
    ],
    ".saveme": [
        "application/octet-stream"
    ],
    ".sbk": [
        "application/x-tbook"
    ],
    ".scm": [
        "application/x-lotusscreencam",
        "text/x-script.guile",
        "text/x-script.scheme",
        "video/x-scm"
    ],
    ".sdml": [
        "text/plain"
    ],
    ".sdp": [
        "application/sdp",
        "application/x-sdp"
    ],
    ".sdr": [
        "application/sounder"
    ],
    ".sea": [
        "application/sea",
        "application/x-sea"
    ],
    ".set": [
        "application/set"
    ],
    ".sgm": [
        "text/sgml",
        "text/x-sgml"
    ],
    ".sgml": [
        "text/sgml",
        "text/x-sgml"
    ],
    ".sh": [
        "application/x-bsh",
        "application/x-sh",
        "application/x-shar",
        "text/x-script.sh"
    ],
    ".shar": [
        "application/x-bsh",
        "application/x-shar"
    ],
    ".shtml": [
        "text/html",
        "text/x-server-parsed-html"
    ],
    ".sid": [
        "audio/x-psid"
    ],
    ".sit": [
        "application/x-sit",
        "application/x-stuffit"
    ],
    ".skd": [
        "application/x-koan"
    ],
    ".skm": [
        "application/x-koan"
    ],
    ".skp": [
        "application/x-koan"
    ],
    ".skt": [
        "application/x-koan"
    ],
    ".sl": [
        "application/x-seelogo"
    ],
    ".smi": [
        "application/smil"
    ],
    ".smil": [
        "application/smil"
    ],
    ".snd": [
        "audio/basic",
        "audio/x-adpcm"
    ],
    ".sol": [
        "application/solids"
    ],
    ".spc": [
        "application/x-pkcs7-certificates",
        "text/x-speech"
    ],
    ".spl": [
        "application/futuresplash"
    ],
    ".spr": [
        "application/x-sprite"
    ],
    ".sprite": [
        "application/x-sprite"
    ],
    ".src": [
        "application/x-wais-source"
    ],
    ".ssi": [
        "text/x-server-parsed-html"
    ],
    ".ssm": [
        "application/streamingmedia"
    ],
    ".sst": [
        "application/vnd.ms-pki.certstore"
    ],
    ".step": [
        "application/step"
    ],
    ".stl": [
        "application/sla",
        "application/vnd.ms-pki.stl",
        "application/x-navistyle"
    ],
    ".stp": [
        "application/step"
    ],
    ".sv4cpio": [
        "application/x-sv4cpio"
    ],
    ".sv4crc": [
        "application/x-sv4crc"
    ],
    ".svf": [
        "image/vnd.dwg",
        "image/x-dwg"
    ],
    ".svr": [
        "application/x-world",
        "x-world/x-svr"
    ],
    ".swf": [
        "application/x-shockwave-flash"
    ],
    ".t": [
        "application/x-troff"
    ],
    ".talk": [
        "text/x-speech"
    ],
    ".tar": [
        "application/x-tar"
    ],
    ".tbk": [
        "application/toolbook",
        "application/x-tbook"
    ],
    ".tcl": [
        "application/x-tcl",
        "text/x-script.tcl"
    ],
    ".tcsh": [
        "text/x-script.tcsh"
    ],
    ".tex": [
        "application/x-tex"
    ],
    ".texi": [
        "application/x-texinfo"
    ],
    ".texinfo": [
        "application/x-texinfo"
    ],
    ".text": [
        "application/plain",
        "text/plain"
    ],
    ".tgz": [
        "application/gnutar",
        "application/x-compressed"
    ],
    ".tif": [
        "image/tiff",
        "image/x-tiff"
    ],
    ".tiff": [
        "image/tiff",
        "image/x-tiff"
    ],
    ".tr": [
        "application/x-troff"
    ],
    ".tsi": [
        "audio/tsp-audio"
    ],
    ".tsp": [
        "application/dsptype",
        "audio/tsplayer"
    ],
    ".tsv": [
        "text/tab-separated-values"
    ],
    ".turbot": [
        "image/florian"
    ],
    ".txt": [
        "text/plain"
    ],
    ".uil": [
        "text/x-uil"
    ],
    ".uni": [
        "text/uri-list"
    ],
    ".unis": [
        "text/uri-list"
    ],
    ".unv": [
        "application/i-deas"
    ],
    ".uri": [
        "text/uri-list"
    ],
    ".uris": [
        "text/uri-list"
    ],
    ".ustar": [
        "application/x-ustar",
        "multipart/x-ustar"
    ],
    ".uu": [
        "application/octet-stream",
        "text/x-uuencode"
    ],
    ".uue": [
        "text/x-uuencode"
    ],
    ".vcd": [
        "application/x-cdlink"
    ],
    ".vcs": [
        "text/x-vcalendar"
    ],
    ".vda": [
        "application/vda"
    ],
    ".vdo": [
        "video/vdo"
    ],
    ".vew": [
        "application/groupwise"
    ],
    ".viv": [
        "video/vivo",
        "video/vnd.vivo"
    ],
    ".vivo": [
        "video/vivo",
        "video/vnd.vivo"
    ],
    ".vmd": [
        "application/vocaltec-media-desc"
    ],
    ".vmf": [
        "application/vocaltec-media-file"
    ],
    ".voc": [
        "audio/voc",
        "audio/x-voc"
    ],
    ".vos": [
        "video/vosaic"
    ],
    ".vox": [
        "audio/voxware"
    ],
    ".vqe": [
        "audio/x-twinvq-plugin"
    ],
    ".vqf": [
        "audio/x-twinvq"
    ],
    ".vql": [
        "audio/x-twinvq-plugin"
    ],
    ".vrml": [
        "application/x-vrml",
        "model/vrml",
        "x-world/x-vrml"
    ],
    ".vrt": [
        "x-world/x-vrt"
    ],
    ".vsd": [
        "application/x-visio"
    ],
    ".vst": [
        "application/x-visio"
    ],
    ".vsw": [
        "application/x-visio"
    ],
    ".w60": [
        "application/wordperfect6.0"
    ],
    ".w61": [
        "application/wordperfect6.1"
    ],
    ".w6w": [
        "application/msword"
    ],
    ".wav": [
        "audio/wav",
        "audio/x-wav"
    ],
    ".wb1": [
        "application/x-qpro"
    ],
    ".wbmp": [
        "image/vnd.wap.wbmp"
    ],
    ".web": [
        "application/vnd.xara"
    ],
    ".wiz": [
        "application/msword"
    ],
    ".wk1": [
        "application/x-123"
    ],
    ".wmf": [
        "windows/metafile"
    ],
    ".wml": [
        "text/vnd.wap.wml"
    ],
    ".wmlc": [
        "application/vnd.wap.wmlc"
    ],
    ".wmls": [
        "text/vnd.wap.wmlscript"
    ],
    ".wmlsc": [
        "application/vnd.wap.wmlscriptc"
    ],
    ".word": [
        "application/msword"
    ],
    ".wp": [
        "application/wordperfect"
    ],
    ".wp5": [
        "application/wordperfect",
        "application/wordperfect6.0"
    ],
    ".wp6": [
        "application/wordperfect"
    ],
    ".wpd": [
        "application/wordperfect",
        "application/x-wpwin"
    ],
    ".wq1": [
        "application/x-lotus"
    ],
    ".wri": [
        "application/mswrite",
        "application/x-wri"
    ],
    ".wrl": [
        "application/x-world",
        "model/vrml",
        "x-world/x-vrml"
    ],
    ".wrz": [
        "model/vrml",
        "x-world/x-vrml"
    ],
    ".wsc": [
        "text/scriplet"
    ],
    ".wsrc": [
        "application/x-wais-source"
    ],
    ".wtk": [
        "application/x-wintalk"
    ],
    ".xbm": [
        "image/x-xbitmap",
        "image/x-xbm",
        "image/xbm"
    ],
    ".xdr": [
        "video/x-amt-demorun"
    ],
    ".xgz": [
        "xgl/drawing"
    ],
    ".xif": [
        "image/vnd.xiff"
    ],
    ".xl": [
        "application/excel"
    ],
    ".xla": [
        "application/excel",
        "application/x-excel",
        "application/x-msexcel"
    ],
    ".xlb": [
        "application/excel",
        "application/vnd.ms-excel",
        "application/x-excel"
    ],
    ".xlc": [
        "application/excel",
        "application/vnd.ms-excel",
        "application/x-excel"
    ],
    ".xld": [
        "application/excel",
        "application/x-excel"
    ],
    ".xlk": [
        "application/excel",
        "application/x-excel"
    ],
    ".xll": [
        "application/excel",
        "application/vnd.ms-excel",
        "application/x-excel"
    ],
    ".xlm": [
        "application/excel",
        "application/vnd.ms-excel",
        "application/x-excel"
    ],
    ".xls": [
        "application/excel",
        "application/vnd.ms-excel",
        "application/x-excel",
        "application/x-msexcel"
    ],
    ".xlt": [
        "application/excel",
        "application/x-excel"
    ],
    ".xlv": [
        "application/excel",
        "application/x-excel"
    ],
    ".xlw": [
        "application/excel",
        "application/vnd.ms-excel",
        "application/x-excel",
        "application/x-msexcel"
    ],
    ".xm": [
        "audio/xm"
    ],
    ".xml": [
        "application/xml",
        "text/xml"
    ],
    ".xmz": [
        "xgl/movie"
    ],
    ".xpix": [
        "application/x-vnd.ls-xpix"
    ],
    ".xpm": [
        "image/x-xpixmap",
        "image/xpm"
    ],
    ".x-png": [
        "image/png"
    ],
    ".xsr": [
        "video/x-amt-showrun"
    ],
    ".xwd": [
        "image/x-xwd",
        "image/x-xwindowdump"
    ],
    ".xyz": [
        "chemical/x-pdb"
    ],
    ".z": [
        "application/x-compress",
        "application/x-compressed"
    ],
    ".zip": [
        "application/x-compressed",
        "application/x-zip-compressed",
        "application/zip",
        "multipart/x-zip"
    ],
    ".zoo": [
        "application/octet-stream"
    ],
    ".zsh": [
        "text/x-script.zsh"
    ],
    ".xlsx": [
        "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
    ],
    ".pptx": [
        "application/vnd.openxmlformats-officedocument.presentationml.presentation"
    ],
    ".docx": [
        "application/vnd.openxmlformats-officedocument.wordprocessingml.document"
    ]
}

TYPE_TO_EXT = {
    "x-world/x-3dmf": [
        ".3dm",
        ".3dmf",
        ".qd3",
        ".qd3d"
    ],
    "application/octet-stream": [
        ".a",
        ".arc",
        ".arj",
        ".bin",
        ".com",
        ".dump",
        ".exe",
        ".lha",
        ".lhx",
        ".lzh",
        ".lzx",
        ".o",
        ".psd",
        ".saveme",
        ".uu",
        ".zoo"
    ],
    "application/x-authorware-bin": [
        ".aab"
    ],
    "application/x-authorware-map": [
        ".aam"
    ],
    "application/x-authorware-seg": [
        ".aas"
    ],
    "text/vnd.abc": [
        ".abc"
    ],
    "text/html": [
        ".acgi",
        ".htm",
        ".html",
        ".htmls",
        ".htx",
        ".shtml"
    ],
    "video/animaflex": [
        ".afl"
    ],
    "application/postscript": [
        ".ai",
        ".eps",
        ".ps"
    ],
    "audio/aiff": [
        ".aif",
        ".aifc",
        ".aiff"
    ],
    "audio/x-aiff": [
        ".aif",
        ".aifc",
        ".aiff"
    ],
    "application/x-aim": [
        ".aim"
    ],
    "text/x-audiosoft-intra": [
        ".aip"
    ],
    "application/x-navi-animation": [
        ".ani"
    ],
    "application/x-nokia-9000-communicator-add-on-software": [
        ".aos"
    ],
    "application/mime": [
        ".aps"
    ],
    "application/arj": [
        ".arj"
    ],
    "image/x-jg": [
        ".art"
    ],
    "video/x-ms-asf": [
        ".asf",
        ".asx"
    ],
    "text/x-asm": [
        ".asm",
        ".s"
    ],
    "text/asp": [
        ".asp"
    ],
    "application/x-mplayer2": [
        ".asx"
    ],
    "video/x-ms-asf-plugin": [
        ".asx"
    ],
    "audio/basic": [
        ".au",
        ".snd"
    ],
    "audio/x-au": [
        ".au"
    ],
    "application/x-troff-msvideo": [
        ".avi"
    ],
    "video/avi": [
        ".avi"
    ],
    "video/msvideo": [
        ".avi"
    ],
    "video/x-msvideo": [
        ".avi"
    ],
    "video/avs-video": [
        ".avs"
    ],
    "application/x-bcpio": [
        ".bcpio"
    ],
    "application/mac-binary": [
        ".bin"
    ],
    "application/macbinary": [
        ".bin"
    ],
    "application/x-binary": [
        ".bin"
    ],
    "application/x-macbinary": [
        ".bin"
    ],
    "image/bmp": [
        ".bm",
        ".bmp"
    ],
    "image/x-windows-bmp": [
        ".bmp"
    ],
    "application/book": [
        ".boo",
        ".book"
    ],
    "application/x-bzip2": [
        ".boz",
        ".bz2"
    ],
    "application/x-bsh": [
        ".bsh",
        ".sh",
        ".shar"
    ],
    "application/x-bzip": [
        ".bz"
    ],
    "text/plain": [
        ".c",
        ".c++",
        ".cc",
        ".com",
        ".conf",
        ".cxx",
        ".def",
        ".f",
        ".f90",
        ".for",
        ".g",
        ".h",
        ".hh",
        ".idc",
        ".jav",
        ".java",
        ".list",
        ".log",
        ".lst",
        ".m",
        ".mar",
        ".pl",
        ".sdml",
        ".text",
        ".txt"
    ],
    "text/x-c": [
        ".c",
        ".cc",
        ".cpp"
    ],
    "application/vnd.ms-pki.seccat": [
        ".cat"
    ],
    "application/clariscad": [
        ".ccad"
    ],
    "application/x-cocoa": [
        ".cco"
    ],
    "application/cdf": [
        ".cdf"
    ],
    "application/x-cdf": [
        ".cdf"
    ],
    "application/x-netcdf": [
        ".cdf",
        ".nc"
    ],
    "application/pkix-cert": [
        ".cer",
        ".crt"
    ],
    "application/x-x509-ca-cert": [
        ".cer",
        ".crt",
        ".der"
    ],
    "application/x-chat": [
        ".cha",
        ".chat"
    ],
    "application/java": [
        ".class"
    ],
    "application/java-byte-code": [
        ".class"
    ],
    "application/x-java-class": [
        ".class"
    ],
    "application/x-cpio": [
        ".cpio"
    ],
    "application/mac-compactpro": [
        ".cpt"
    ],
    "application/x-compactpro": [
        ".cpt"
    ],
    "application/x-cpt": [
        ".cpt"
    ],
    "application/pkcs-crl": [
        ".crl"
    ],
    "application/pkix-crl": [
        ".crl"
    ],
    "application/x-x509-user-cert": [
        ".crt"
    ],
    "application/x-csh": [
        ".csh"
    ],
    "text/x-script.csh": [
        ".csh"
    ],
    "application/x-pointplus": [
        ".css"
    ],
    "text/css": [
        ".css"
    ],
    "application/x-director": [
        ".dcr",
        ".dir",
        ".dxr"
    ],
    "application/x-deepv": [
        ".deepv"
    ],
    "video/x-dv": [
        ".dif",
        ".dv"
    ],
    "video/dl": [
        ".dl"
    ],
    "video/x-dl": [
        ".dl"
    ],
    "application/msword": [
        ".doc",
        ".dot",
        ".w6w",
        ".wiz",
        ".word"
    ],
    "application/commonground": [
        ".dp"
    ],
    "application/drafting": [
        ".drw"
    ],
    "application/x-dvi": [
        ".dvi"
    ],
    "drawing/x-dwf (old)": [
        ".dwf"
    ],
    "model/vnd.dwf": [
        ".dwf"
    ],
    "application/acad": [
        ".dwg"
    ],
    "image/vnd.dwg": [
        ".dwg",
        ".dxf",
        ".svf"
    ],
    "image/x-dwg": [
        ".dwg",
        ".dxf",
        ".svf"
    ],
    "application/dxf": [
        ".dxf"
    ],
    "text/x-script.elisp": [
        ".el"
    ],
    "application/x-bytecode.elisp (compiled elisp)": [
        ".elc"
    ],
    "application/x-elc": [
        ".elc"
    ],
    "application/x-envoy": [
        ".env",
        ".evy"
    ],
    "application/x-esrehber": [
        ".es"
    ],
    "text/x-setext": [
        ".etx"
    ],
    "application/envoy": [
        ".evy"
    ],
    "text/x-fortran": [
        ".f",
        ".f77",
        ".f90",
        ".for"
    ],
    "application/vnd.fdf": [
        ".fdf"
    ],
    "application/fractals": [
        ".fif"
    ],
    "image/fif": [
        ".fif"
    ],
    "video/fli": [
        ".fli"
    ],
    "video/x-fli": [
        ".fli"
    ],
    "image/florian": [
        ".flo",
        ".turbot"
    ],
    "text/vnd.fmi.flexstor": [
        ".flx"
    ],
    "video/x-atomic3d-feature": [
        ".fmf"
    ],
    "image/vnd.fpx": [
        ".fpx"
    ],
    "image/vnd.net-fpx": [
        ".fpx"
    ],
    "application/freeloader": [
        ".frl"
    ],
    "audio/make": [
        ".funk",
        ".my",
        ".pfunk"
    ],
    "image/g3fax": [
        ".g3"
    ],
    "image/gif": [
        ".gif"
    ],
    "video/gl": [
        ".gl"
    ],
    "video/x-gl": [
        ".gl"
    ],
    "audio/x-gsm": [
        ".gsd",
        ".gsm"
    ],
    "application/x-gsp": [
        ".gsp"
    ],
    "application/x-gss": [
        ".gss"
    ],
    "application/x-gtar": [
        ".gtar"
    ],
    "application/x-compressed": [
        ".gz",
        ".tgz",
        ".z",
        ".zip"
    ],
    "application/x-gzip": [
        ".gz",
        ".gzip"
    ],
    "multipart/x-gzip": [
        ".gzip"
    ],
    "text/x-h": [
        ".h",
        ".hh"
    ],
    "application/x-hdf": [
        ".hdf"
    ],
    "application/x-helpfile": [
        ".help",
        ".hlp"
    ],
    "application/vnd.hp-hpgl": [
        ".hgl",
        ".hpg",
        ".hpgl"
    ],
    "text/x-script": [
        ".hlb"
    ],
    "application/hlp": [
        ".hlp"
    ],
    "application/x-winhelp": [
        ".hlp"
    ],
    "application/binhex": [
        ".hqx"
    ],
    "application/binhex4": [
        ".hqx"
    ],
    "application/mac-binhex": [
        ".hqx"
    ],
    "application/mac-binhex40": [
        ".hqx"
    ],
    "application/x-binhex40": [
        ".hqx"
    ],
    "application/x-mac-binhex40": [
        ".hqx"
    ],
    "application/hta": [
        ".hta"
    ],
    "text/x-component": [
        ".htc"
    ],
    "text/webviewhtml": [
        ".htt"
    ],
    "x-conference/x-cooltalk": [
        ".ice"
    ],
    "image/x-icon": [
        ".ico"
    ],
    "image/ief": [
        ".ief",
        ".iefs"
    ],
    "application/iges": [
        ".iges",
        ".igs"
    ],
    "model/iges": [
        ".iges",
        ".igs"
    ],
    "application/x-ima": [
        ".ima"
    ],
    "application/x-httpd-imap": [
        ".imap"
    ],
    "application/inf": [
        ".inf"
    ],
    "application/x-internett-signup": [
        ".ins"
    ],
    "application/x-ip2": [
        ".ip"
    ],
    "video/x-isvideo": [
        ".isu"
    ],
    "audio/it": [
        ".it"
    ],
    "application/x-inventor": [
        ".iv"
    ],
    "i-world/i-vrml": [
        ".ivr"
    ],
    "application/x-livescreen": [
        ".ivy"
    ],
    "audio/x-jam": [
        ".jam"
    ],
    "text/x-java-source": [
        ".jav",
        ".java"
    ],
    "application/x-java-commerce": [
        ".jcm"
    ],
    "image/jpeg": [
        ".jfif",
        ".jfif-tbnl",
        ".jpe",
        ".jpeg",
        ".jpg"
    ],
    "image/pjpeg": [
        ".jfif",
        ".jpe",
        ".jpeg",
        ".jpg"
    ],
    "image/x-jps": [
        ".jps"
    ],
    "application/x-javascript": [
        ".js"
    ],
    "application/javascript": [
        ".js"
    ],
    "application/ecmascript": [
        ".js"
    ],
    "text/javascript": [
        ".js"
    ],
    "text/ecmascript": [
        ".js"
    ],
    "image/jutvision": [
        ".jut"
    ],
    "audio/midi": [
        ".kar",
        ".mid",
        ".midi"
    ],
    "music/x-karaoke": [
        ".kar"
    ],
    "application/x-ksh": [
        ".ksh"
    ],
    "text/x-script.ksh": [
        ".ksh"
    ],
    "audio/nspaudio": [
        ".la",
        ".lma"
    ],
    "audio/x-nspaudio": [
        ".la",
        ".lma"
    ],
    "audio/x-liveaudio": [
        ".lam"
    ],
    "application/x-latex": [
        ".latex",
        ".ltx"
    ],
    "application/lha": [
        ".lha"
    ],
    "application/x-lha": [
        ".lha"
    ],
    "application/x-lisp": [
        ".lsp"
    ],
    "text/x-script.lisp": [
        ".lsp"
    ],
    "text/x-la-asf": [
        ".lsx"
    ],
    "application/x-lzh": [
        ".lzh"
    ],
    "application/lzx": [
        ".lzx"
    ],
    "application/x-lzx": [
        ".lzx"
    ],
    "text/x-m": [
        ".m"
    ],
    "video/mpeg": [
        ".m1v",
        ".m2v",
        ".mp2",
        ".mp3",
        ".mpa",
        ".mpe",
        ".mpeg",
        ".mpg"
    ],
    "audio/mpeg": [
        ".m2a",
        ".mp2",
        ".mpa",
        ".mpg",
        ".mpga"
    ],
    "audio/x-mpequrl": [
        ".m3u"
    ],
    "application/x-troff-man": [
        ".man"
    ],
    "application/x-navimap": [
        ".map"
    ],
    "application/mbedlet": [
        ".mbd"
    ],
    "application/x-magic-cap-package-1.0": [
        ".mc$"
    ],
    "application/mcad": [
        ".mcd"
    ],
    "application/x-mathcad": [
        ".mcd"
    ],
    "image/vasa": [
        ".mcf"
    ],
    "text/mcf": [
        ".mcf"
    ],
    "application/netmc": [
        ".mcp"
    ],
    "application/x-troff-me": [
        ".me"
    ],
    "message/rfc822": [
        ".mht",
        ".mhtml",
        ".mime"
    ],
    "application/x-midi": [
        ".mid",
        ".midi"
    ],
    "audio/x-mid": [
        ".mid",
        ".midi"
    ],
    "audio/x-midi": [
        ".mid",
        ".midi"
    ],
    "music/crescendo": [
        ".mid",
        ".midi"
    ],
    "x-music/x-midi": [
        ".mid",
        ".midi"
    ],
    "application/x-frame": [
        ".mif"
    ],
    "application/x-mif": [
        ".mif"
    ],
    "www/mime": [
        ".mime"
    ],
    "audio/x-vnd.audioexplosion.mjuicemediafile": [
        ".mjf"
    ],
    "video/x-motion-jpeg": [
        ".mjpg"
    ],
    "application/base64": [
        ".mm",
        ".mme"
    ],
    "application/x-meme": [
        ".mm"
    ],
    "audio/mod": [
        ".mod"
    ],
    "audio/x-mod": [
        ".mod"
    ],
    "video/quicktime": [
        ".moov",
        ".mov",
        ".qt"
    ],
    "video/x-sgi-movie": [
        ".movie",
        ".mv"
    ],
    "audio/x-mpeg": [
        ".mp2"
    ],
    "video/x-mpeg": [
        ".mp2",
        ".mp3"
    ],
    "video/x-mpeq2a": [
        ".mp2"
    ],
    "audio/mpeg3": [
        ".mp3"
    ],
    "audio/x-mpeg-3": [
        ".mp3"
    ],
    "application/x-project": [
        ".mpc",
        ".mpt",
        ".mpv",
        ".mpx"
    ],
    "application/vnd.ms-project": [
        ".mpp"
    ],
    "application/marc": [
        ".mrc"
    ],
    "application/x-troff-ms": [
        ".ms"
    ],
    "application/x-vnd.audioexplosion.mzz": [
        ".mzz"
    ],
    "image/naplps": [
        ".nap",
        ".naplps"
    ],
    "application/vnd.nokia.configuration-message": [
        ".ncm"
    ],
    "image/x-niff": [
        ".nif",
        ".niff"
    ],
    "application/x-mix-transfer": [
        ".nix"
    ],
    "application/x-conference": [
        ".nsc"
    ],
    "application/x-navidoc": [
        ".nvd"
    ],
    "application/oda": [
        ".oda"
    ],
    "application/x-omc": [
        ".omc"
    ],
    "application/x-omcdatamaker": [
        ".omcd"
    ],
    "application/x-omcregerator": [
        ".omcr"
    ],
    "text/x-pascal": [
        ".p"
    ],
    "application/pkcs10": [
        ".p10"
    ],
    "application/x-pkcs10": [
        ".p10"
    ],
    "application/pkcs-12": [
        ".p12"
    ],
    "application/x-pkcs12": [
        ".p12"
    ],
    "application/x-pkcs7-signature": [
        ".p7a"
    ],
    "application/pkcs7-mime": [
        ".p7c",
        ".p7m"
    ],
    "application/x-pkcs7-mime": [
        ".p7c",
        ".p7m"
    ],
    "application/x-pkcs7-certreqresp": [
        ".p7r"
    ],
    "application/pkcs7-signature": [
        ".p7s"
    ],
    "application/pro_eng": [
        ".part",
        ".prt"
    ],
    "text/pascal": [
        ".pas"
    ],
    "image/x-portable-bitmap": [
        ".pbm"
    ],
    "application/vnd.hp-pcl": [
        ".pcl"
    ],
    "application/x-pcl": [
        ".pcl"
    ],
    "image/x-pict": [
        ".pct"
    ],
    "image/x-pcx": [
        ".pcx"
    ],
    "chemical/x-pdb": [
        ".pdb",
        ".xyz"
    ],
    "application/pdf": [
        ".pdf"
    ],
    "audio/make.my.funk": [
        ".pfunk"
    ],
    "image/x-portable-graymap": [
        ".pgm"
    ],
    "image/x-portable-greymap": [
        ".pgm"
    ],
    "image/pict": [
        ".pic",
        ".pict"
    ],
    "application/x-newton-compatible-pkg": [
        ".pkg"
    ],
    "application/vnd.ms-pki.pko": [
        ".pko"
    ],
    "text/x-script.perl": [
        ".pl"
    ],
    "application/x-pixclscript": [
        ".plx"
    ],
    "image/x-xpixmap": [
        ".pm",
        ".xpm"
    ],
    "text/x-script.perl-module": [
        ".pm"
    ],
    "application/x-pagemaker": [
        ".pm4",
        ".pm5"
    ],
    "image/png": [
        ".png",
        ".x-png"
    ],
    "application/x-portable-anymap": [
        ".pnm"
    ],
    "image/x-portable-anymap": [
        ".pnm"
    ],
    "application/mspowerpoint": [
        ".pot",
        ".pps",
        ".ppt",
        ".ppz"
    ],
    "application/vnd.ms-powerpoint": [
        ".pot",
        ".ppa",
        ".pps",
        ".ppt",
        ".pwz"
    ],
    "model/x-pov": [
        ".pov"
    ],
    "image/x-portable-pixmap": [
        ".ppm"
    ],
    "application/powerpoint": [
        ".ppt"
    ],
    "application/x-mspowerpoint": [
        ".ppt"
    ],
    "application/x-freelance": [
        ".pre"
    ],
    "paleovu/x-pv": [
        ".pvu"
    ],
    "text/x-script.phyton": [
        ".py"
    ],
    "application/x-bytecode.python": [
        ".pyc"
    ],
    "audio/vnd.qcelp": [
        ".qcp"
    ],
    "image/x-quicktime": [
        ".qif",
        ".qti",
        ".qtif"
    ],
    "video/x-qtc": [
        ".qtc"
    ],
    "audio/x-pn-realaudio": [
        ".ra",
        ".ram",
        ".rm",
        ".rmm",
        ".rmp"
    ],
    "audio/x-pn-realaudio-plugin": [
        ".ra",
        ".rmp",
        ".rpm"
    ],
    "audio/x-realaudio": [
        ".ra"
    ],
    "application/x-cmu-raster": [
        ".ras"
    ],
    "image/cmu-raster": [
        ".ras",
        ".rast"
    ],
    "image/x-cmu-raster": [
        ".ras"
    ],
    "text/x-script.rexx": [
        ".rexx"
    ],
    "image/vnd.rn-realflash": [
        ".rf"
    ],
    "image/x-rgb": [
        ".rgb"
    ],
    "application/vnd.rn-realmedia": [
        ".rm"
    ],
    "audio/mid": [
        ".rmi"
    ],
    "application/ringing-tones": [
        ".rng"
    ],
    "application/vnd.nokia.ringing-tone": [
        ".rng"
    ],
    "application/vnd.rn-realplayer": [
        ".rnx"
    ],
    "application/x-troff": [
        ".roff",
        ".t",
        ".tr"
    ],
    "image/vnd.rn-realpix": [
        ".rp"
    ],
    "text/richtext": [
        ".rt",
        ".rtf",
        ".rtx"
    ],
    "text/vnd.rn-realtext": [
        ".rt"
    ],
    "application/rtf": [
        ".rtf",
        ".rtx"
    ],
    "application/x-rtf": [
        ".rtf"
    ],
    "video/vnd.rn-realvideo": [
        ".rv"
    ],
    "audio/s3m": [
        ".s3m"
    ],
    "application/x-tbook": [
        ".sbk",
        ".tbk"
    ],
    "application/x-lotusscreencam": [
        ".scm"
    ],
    "text/x-script.guile": [
        ".scm"
    ],
    "text/x-script.scheme": [
        ".scm"
    ],
    "video/x-scm": [
        ".scm"
    ],
    "application/sdp": [
        ".sdp"
    ],
    "application/x-sdp": [
        ".sdp"
    ],
    "application/sounder": [
        ".sdr"
    ],
    "application/sea": [
        ".sea"
    ],
    "application/x-sea": [
        ".sea"
    ],
    "application/set": [
        ".set"
    ],
    "text/sgml": [
        ".sgm",
        ".sgml"
    ],
    "text/x-sgml": [
        ".sgm",
        ".sgml"
    ],
    "application/x-sh": [
        ".sh"
    ],
    "application/x-shar": [
        ".sh",
        ".shar"
    ],
    "text/x-script.sh": [
        ".sh"
    ],
    "text/x-server-parsed-html": [
        ".shtml",
        ".ssi"
    ],
    "audio/x-psid": [
        ".sid"
    ],
    "application/x-sit": [
        ".sit"
    ],
    "application/x-stuffit": [
        ".sit"
    ],
    "application/x-koan": [
        ".skd",
        ".skm",
        ".skp",
        ".skt"
    ],
    "application/x-seelogo": [
        ".sl"
    ],
    "application/smil": [
        ".smi",
        ".smil"
    ],
    "audio/x-adpcm": [
        ".snd"
    ],
    "application/solids": [
        ".sol"
    ],
    "application/x-pkcs7-certificates": [
        ".spc"
    ],
    "text/x-speech": [
        ".spc",
        ".talk"
    ],
    "application/futuresplash": [
        ".spl"
    ],
    "application/x-sprite": [
        ".spr",
        ".sprite"
    ],
    "application/x-wais-source": [
        ".src",
        ".wsrc"
    ],
    "application/streamingmedia": [
        ".ssm"
    ],
    "application/vnd.ms-pki.certstore": [
        ".sst"
    ],
    "application/step": [
        ".step",
        ".stp"
    ],
    "application/sla": [
        ".stl"
    ],
    "application/vnd.ms-pki.stl": [
        ".stl"
    ],
    "application/x-navistyle": [
        ".stl"
    ],
    "application/x-sv4cpio": [
        ".sv4cpio"
    ],
    "application/x-sv4crc": [
        ".sv4crc"
    ],
    "application/x-world": [
        ".svr",
        ".wrl"
    ],
    "x-world/x-svr": [
        ".svr"
    ],
    "application/x-shockwave-flash": [
        ".swf"
    ],
    "application/x-tar": [
        ".tar"
    ],
    "application/toolbook": [
        ".tbk"
    ],
    "application/x-tcl": [
        ".tcl"
    ],
    "text/x-script.tcl": [
        ".tcl"
    ],
    "text/x-script.tcsh": [
        ".tcsh"
    ],
    "application/x-tex": [
        ".tex"
    ],
    "application/x-texinfo": [
        ".texi",
        ".texinfo"
    ],
    "application/plain": [
        ".text"
    ],
    "application/gnutar": [
        ".tgz"
    ],
    "image/tiff": [
        ".tif",
        ".tiff"
    ],
    "image/x-tiff": [
        ".tif",
        ".tiff"
    ],
    "audio/tsp-audio": [
        ".tsi"
    ],
    "application/dsptype": [
        ".tsp"
    ],
    "audio/tsplayer": [
        ".tsp"
    ],
    "text/tab-separated-values": [
        ".tsv"
    ],
    "text/x-uil": [
        ".uil"
    ],
    "text/uri-list": [
        ".uni",
        ".unis",
        ".uri",
        ".uris"
    ],
    "application/i-deas": [
        ".unv"
    ],
    "application/x-ustar": [
        ".ustar"
    ],
    "multipart/x-ustar": [
        ".ustar"
    ],
    "text/x-uuencode": [
        ".uu",
        ".uue"
    ],
    "application/x-cdlink": [
        ".vcd"
    ],
    "text/x-vcalendar": [
        ".vcs"
    ],
    "application/vda": [
        ".vda"
    ],
    "video/vdo": [
        ".vdo"
    ],
    "application/groupwise": [
        ".vew"
    ],
    "video/vivo": [
        ".viv",
        ".vivo"
    ],
    "video/vnd.vivo": [
        ".viv",
        ".vivo"
    ],
    "application/vocaltec-media-desc": [
        ".vmd"
    ],
    "application/vocaltec-media-file": [
        ".vmf"
    ],
    "audio/voc": [
        ".voc"
    ],
    "audio/x-voc": [
        ".voc"
    ],
    "video/vosaic": [
        ".vos"
    ],
    "audio/voxware": [
        ".vox"
    ],
    "audio/x-twinvq-plugin": [
        ".vqe",
        ".vql"
    ],
    "audio/x-twinvq": [
        ".vqf"
    ],
    "application/x-vrml": [
        ".vrml"
    ],
    "model/vrml": [
        ".vrml",
        ".wrl",
        ".wrz"
    ],
    "x-world/x-vrml": [
        ".vrml",
        ".wrl",
        ".wrz"
    ],
    "x-world/x-vrt": [
        ".vrt"
    ],
    "application/x-visio": [
        ".vsd",
        ".vst",
        ".vsw"
    ],
    "application/wordperfect6.0": [
        ".w60",
        ".wp5"
    ],
    "application/wordperfect6.1": [
        ".w61"
    ],
    "audio/wav": [
        ".wav"
    ],
    "audio/x-wav": [
        ".wav"
    ],
    "application/x-qpro": [
        ".wb1"
    ],
    "image/vnd.wap.wbmp": [
        ".wbmp"
    ],
    "application/vnd.xara": [
        ".web"
    ],
    "application/x-123": [
        ".wk1"
    ],
    "windows/metafile": [
        ".wmf"
    ],
    "text/vnd.wap.wml": [
        ".wml"
    ],
    "application/vnd.wap.wmlc": [
        ".wmlc"
    ],
    "text/vnd.wap.wmlscript": [
        ".wmls"
    ],
    "application/vnd.wap.wmlscriptc": [
        ".wmlsc"
    ],
    "application/wordperfect": [
        ".wp",
        ".wp5",
        ".wp6",
        ".wpd"
    ],
    "application/x-wpwin": [
        ".wpd"
    ],
    "application/x-lotus": [
        ".wq1"
    ],
    "application/mswrite": [
        ".wri"
    ],
    "application/x-wri": [
        ".wri"
    ],
    "text/scriplet": [
        ".wsc"
    ],
    "application/x-wintalk": [
        ".wtk"
    ],
    "image/x-xbitmap": [
        ".xbm"
    ],
    "image/x-xbm": [
        ".xbm"
    ],
    "image/xbm": [
        ".xbm"
    ],
    "video/x-amt-demorun": [
        ".xdr"
    ],
    "xgl/drawing": [
        ".xgz"
    ],
    "image/vnd.xiff": [
        ".xif"
    ],
    "application/excel": [
        ".xl",
        ".xla",
        ".xlb",
        ".xlc",
        ".xld",
        ".xlk",
        ".xll",
        ".xlm",
        ".xls",
        ".xlt",
        ".xlv",
        ".xlw"
    ],
    "application/x-excel": [
        ".xla",
        ".xlb",
        ".xlc",
        ".xld",
        ".xlk",
        ".xll",
        ".xlm",
        ".xls",
        ".xlt",
        ".xlv",
        ".xlw"
    ],
    "application/x-msexcel": [
        ".xla",
        ".xls",
        ".xlw"
    ],
    "application/vnd.ms-excel": [
        ".xlb",
        ".xlc",
        ".xll",
        ".xlm",
        ".xls",
        ".xlw"
    ],
    "audio/xm": [
        ".xm"
    ],
    "application/xml": [
        ".xml"
    ],
    "text/xml": [
        ".xml"
    ],
    "xgl/movie": [
        ".xmz"
    ],
    "application/x-vnd.ls-xpix": [
        ".xpix"
    ],
    "image/xpm": [
        ".xpm"
    ],
    "video/x-amt-showrun": [
        ".xsr"
    ],
    "image/x-xwd": [
        ".xwd"
    ],
    "image/x-xwindowdump": [
        ".xwd"
    ],
    "application/x-compress": [
        ".z"
    ],
    "application/x-zip-compressed": [
        ".zip"
    ],
    "application/zip": [
        ".zip"
    ],
    "multipart/x-zip": [
        ".zip"
    ],
    "text/x-script.zsh": [
        ".zsh"
    ],
    "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet": [
        ".xlsx"
    ],
    "application/vnd.openxmlformats-officedocument.presentationml.presentation": [
        ".pptx"
    ],
    "application/vnd.openxmlformats-officedocument.wordprocessingml.document": [
        ".docx"
    ]
}
